cURL
curl --request PUT \
--url https://{host}/audience-dataimport/v1/import \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"audienceId": "<string>",
"executionId": "<string>",
"dataURIs": [
"<string>"
],
"executedBy": "<string>",
"source": "<string>"
}
'import requests
url = "https://{host}/audience-dataimport/v1/import"
payload = {
"audienceId": "<string>",
"executionId": "<string>",
"dataURIs": ["<string>"],
"executedBy": "<string>",
"source": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
audienceId: '<string>',
executionId: '<string>',
dataURIs: ['<string>'],
executedBy: '<string>',
source: '<string>'
})
};
fetch('https://{host}/audience-dataimport/v1/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"message": "<string>",
"details": null
}{
"name": "<string>",
"message": "<string>",
"details": null
}Put v1 import
PUT
/
v1
/
import
cURL
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
application/jsontext/jsonapplication/*+json
Response
Accepted
Last modified on August 11, 2026
⌘I